/* AdRead.c:
 *   This demo demonstrates how to read analog inputs. It shows how to get 
 *   a handle to Hudaq device, how to read data analog inputs. */

#include <windows.h>
#include <stdio.h>
#include <conio.h>

#include "../hudaqlib.h"


void cls(void);

int main(int argc, char* argv[])
{
HUDAQHANDLE h;
unsigned i;
double ValueRead;

double range=10;

  h = HudaqOpenDevice("MF614", 1, 0);  /* Get first MF624 device found. */
  if(h==0)
    {
    printf("\nNo Hudaq device found!\n");
    return -1;                         /* No Hudaq device - return from application */
    }

  i=1;
  //HudaqAISetParameter(h,0,HudaqAIBipolar,&i);  
  //HudaqAISetParameter(h,1,HudaqAIVolts,&range);
  HudaqSetParameter(h,0,HudaqAIRange,0);

  while(!kbhit())
    {
    cls();
    for(i=0; i<8; i++)
      { 
      ValueRead = HudaqAIRead(h,i);      /* Read from analog input. */
      printf("Analog channel %d, value read %fV\n", i, ValueRead);
      }	
    Sleep(10);    
    }
   
 HudaqCloseDevice(h);                  /* Closing a Hudaq device. */
    
return 0;
}


  /* Auxiliarry function that clears a Windows console screen. */
void cls(void)
{
HANDLE hConsole = GetStdHandle(STD_OUTPUT_HANDLE);
   COORD coordScreen = { 0, 0 };    /* home for the cursor */
   DWORD cCharsWritten;
   CONSOLE_SCREEN_BUFFER_INFO csbi; 
   DWORD dwConSize;
        /* Get the number of character cells in the current buffer. */
   if( !GetConsoleScreenBufferInfo( hConsole, &csbi )) return;
   dwConSize = csbi.dwSize.X * csbi.dwSize.Y;
        /* Fill the entire screen with blanks. */
   if( !FillConsoleOutputCharacter( hConsole, (TCHAR) ' ',dwConSize, coordScreen, &cCharsWritten )) return;
        /* Get the current text attribute. */
   if( !GetConsoleScreenBufferInfo( hConsole, &csbi )) return;
        /* Set the buffer's attributes accordingly. */
   if( !FillConsoleOutputAttribute( hConsole, csbi.wAttributes,dwConSize, coordScreen, &cCharsWritten )) return;
        /* Put the cursor at its home coordinates. */
   SetConsoleCursorPosition( hConsole, coordScreen );
}



