/* DaWrite.c:
 *   This demo demonstrates how to write to analog outputs. It shows how to get 
 *   a handle to Hudaq device.
 */

#include <stdio.h>

#include "../hudaqlib.h"


int main(int argc, char* argv[])
{
HUDAQHANDLE h;
unsigned channel=0;
float value;

  h = HudaqOpenDevice("MF614", 1, 0); /* Open first MF624 device found. */
  if(h==0)
    {
    printf("\nNo Hudaq device found!\n");
    return -1;                        /* No Hudaq device - return from application */
    }


  while(channel<8)
    {
    printf("\nEnter number of D/A channel [0..7], 8 to exit: ");
    if(scanf("%d",&channel)!=1) break;

    if(channel>=8) break; 

    printf("Enter value to write to a channel in Volts [-10 to +10]: ");
    if(scanf("%f",&value)!=1) break;
    
    HudaqAOWrite(h,channel,value);     /* Write to Analog output */
    }
   
 HudaqCloseDevice(h);                  /* Close handle */
    
return 0;
}

