/* DigitalIO.c:
 *   This demo demonstrates how to read data from digital inputs.
 */

#include <Windows.h>
#include <conio.h>
#include <stdio.h>

#include "../hudaqlib.h"


int main(int argc, char* argv[])
{
HUDAQHANDLE h;
unsigned i;
char ch;
unsigned ValueRead;

  h = HudaqOpenDevice("MF614", 1, 0);     /* Device must be opened before usage. */
  if(h==0)                          
    {                                     /* No Hudaq device - return from application */
    printf("\nNo Hudaq device found!\n");
    return -1;                     
    }
  
  do
    {
    printf("\nPress any key to exit this demo.\n");

    while(!kbhit())
      {
      ValueRead = HudaqDIRead(h,0);        /* Read value from digital input channel */
      printf("\rBits from digital input: %d, reading bitwise: ", ValueRead);
          
      for(i=0; i<8; i++)        
        printf("%d",         
          HudaqDIReadBit(h,0,i));          /* Read one bit from digital input */
      
      Sleep(60); 
      }

    ch=getch();
    switch(ch)
      {      
      default:ch = 0;           /* any other key stroke causes loop continuing */
      }
            
    } while(ch!=0);

   
 HudaqCloseDevice(h);            /* It is also neccessary to close device upon exit application. */
    
 printf("\n");
return 0;
}

