/* IRCRead.c:
 *   This demo demonstrates how to read IRC from Encoder channels. It shows how to get 
 *   a handle to Hudaq device, how to read data from encoder and how to optionally reset
 *   encoder value.
 */

#include <Windows.h>
#include <conio.h>
#include <stdio.h>

#include "..\hudaqlib.h"

void cls(void);


int main(int argc, char* argv[])
{
HUDAQHANDLE h;
unsigned i;
char Key;
int ValueFromEncoder;

  h = HudaqOpenDevice("MF614", 1, 0);     /* Device must be opened before usage. */
  if(h==0)                         	
    {                                     /* No Hudaq device - return from application */
    printf("\nNo Hudaq device found!\n");
    return -1;                     
    }
  
  do
    {
    while(!kbhit())
      {
      cls();
      
      for(i=0; i<4; i++)        
        {
        ValueFromEncoder = HudaqEncRead(h,i);	/* Read value from encoder */
        printf("Encoder IRC channel %d, value read %d\n", i, ValueFromEncoder); /* Print results on screen.*/
        }

      printf("\n\npress '0' for reset channel 0, '1' -> 1, '2' -> 2; '3' -> 3.\n");
      printf("\npress any other key to exit this demo.\n");
      
      Sleep(60); 
      }

    Key=getch();
    switch(Key)
      {
      case '0': HudaqEncReset(h,0);   /* Reset value inside given channel */
              break;
      case '1': HudaqEncReset(h,1);
              break;
      case '2': HudaqEncReset(h,2);
              break;
      case '3': HudaqEncReset(h,3);
              break;
      default:Key = 0;			/* any other key stroke causes loop continuing */
      }
	      	
    } while(Key!=0);

   
 HudaqCloseDevice(h);           /* It is also neccessary to close device upon exit application. */
    
return 0;
}


  /* Auxiliarry function that clears a Windows console screen. */
void cls(void)
{
HANDLE hConsole = GetStdHandle(STD_OUTPUT_HANDLE);
   COORD coordScreen = { 0, 0 };    /* home for the cursor */
   DWORD cCharsWritten;
   CONSOLE_SCREEN_BUFFER_INFO csbi; 
   DWORD dwConSize;
        /* Get the number of character cells in the current buffer. */
   if( !GetConsoleScreenBufferInfo( hConsole, &csbi )) return;
   dwConSize = csbi.dwSize.X * csbi.dwSize.Y;
        /* Fill the entire screen with blanks. */
   if( !FillConsoleOutputCharacter( hConsole, (TCHAR) ' ',dwConSize, coordScreen, &cCharsWritten )) return;
        /* Get the current text attribute. */
   if( !GetConsoleScreenBufferInfo( hConsole, &csbi )) return;
        /* Set the buffer's attributes accordingly. */
   if( !FillConsoleOutputAttribute( hConsole, csbi.wAttributes,dwConSize, coordScreen, &cCharsWritten )) return;
        /* Put the cursor at its home coordinates. */
   SetConsoleCursorPosition( hConsole, coordScreen );
}

